unit uDialogOpcionesImpresionPedidosCliente;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uDialogBase, ActnList, StdCtrls, ExtCtrls;

type
  TfDialogOpcionesImpresionPedidosCliente = class(TfDialogBase)
    cbVerPrecios: TCheckBox;
    cbVerRefProveedor: TCheckBox;
    procedure actAceptarExecute(Sender: TObject);
    procedure actCancelarExecute(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

  function ElegirOpcionesImpresionPedidoCliente(var AVerPrecios : Boolean; var AVerRefProveedor : Boolean): Boolean;

implementation

{$R *.dfm}

function ElegirOpcionesImpresionPedidoCliente(var AVerPrecios : Boolean; var AVerRefProveedor : Boolean): Boolean;
var
  AEditor : TfDialogOpcionesImpresionPedidosCliente;
begin
  AEditor := TfDialogOpcionesImpresionPedidosCliente.Create(NIL);
  try
    AEditor.cbVerPrecios.Checked := AVerPrecios;
    AEditor.cbVerRefProveedor.Checked := AVerRefProveedor;

    Result := (AEditor.ShowModal = mrOk);
    if Result then
    begin
      AVerPrecios := AEditor.cbVerPrecios.Checked;
      AVerRefProveedor := AEditor.cbVerRefProveedor.Checked;
    end;
  finally
    AEditor.Release;
  end;
end;

procedure TfDialogOpcionesImpresionPedidosCliente.actAceptarExecute(Sender: TObject);
begin
  inherited;
  ModalResult := mrOk
end;

procedure TfDialogOpcionesImpresionPedidosCliente.actCancelarExecute(Sender: TObject);
begin
  inherited;
  ModalResult := mrCancel;
end;

end.
